
TYPO3.Fluid - Bug # 47363

Status: Closed Priority: Should have
Author: Sebastian Michaelsen Category:
Created: 2013-04-18 Assigned To:
Updated: 2015-02-25 Due date:
Has patch: No
Affected Flow version: (any)
Subject: Error Classes are only set for form fields in object context
Description

Fluid won't set error classes for form fields when they are not in object context ("property" attribute is not set).
I experienced the issue in v4 and have no FLOW running to verify it, but from looking at the code I'm pretty sure this is not v4 specific.

Here's the workaround I did for my v4 project: https://gist.github.com/smichaelsen/5416046

Related issues:
related to TYPO3.Fluid - Bug # 52536: Errorclass not set if no property-attri... Under Review 2013-10-04
duplicates TYPO3.Fluid - Bug # 34186: Setting a value always resets the field... Closed 2012-02-22

History
#1 - 2013-04-28 22:16 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20276

#2 - 2013-06-20 15:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20276

#3 - 2013-06-20 16:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20276

#4 - 2013-10-15 12:04 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20276

#5 - 2014-06-11 15:45 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at https://review.typo3.org/20276
#6 - 2015-02-25 10:29 - Bastian Waidelich
- Status changed from Under Review to Closed

Truely sorry for the huge delay, this was a tricky one (because it is a breaking behavior).. But I just moved this to 
https://jira.typo3.org/browse/FLOW-213 and take care of it right now
